
Name: klines
Summary: Place 5 equal pieces together, but wait, there are 3 new ones
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/klines/
Version: 23.08.5
Release: %mkrel 1

License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kdegames-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5qml-devel 
BuildRequires: lib64qt5widgets-devel 

%description
KLines is a simple but highly addictive one player game.

The player has to move the colored balls around the game board, gathering them
into the lines of the same color by five. Once the line is complete it is
removed from the board, therefore freeing precious space. In the same time the
new balls keep arriving by three after each move, filling up the game board.

%files
%_kf5_bindir/klines
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/klines
%_kf5_iconsdir/hicolor/*/apps/klines.png
%_kf5_datadir/config.kcfg/klines.kcfg
%_kf5_datadir/locale
%_kf5_datadir/metainfo/org.kde.klines.appdata.xml
%_kf5_datadir/qlogging-categories5/klines.categories
#------------------------------------------------------------------------------

%package -n klines-handbook
Summary: klines handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n klines-handbook
This package provides the klines handbook.

%files -n klines-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

